Summary: An image viewer.
Name: zgv
Version: 5.1
Release: 5
Copyright: GPL
Exclusivearch: i386
Group: Amusements/Graphics
Source: http://www.svgalib.org/rus/zgv/%{name}-%{version}.tar.gz
Url: http://www.svgalib.org/rus/zgv/index.html
Patch: zgv-3.0-redhat.patch
Patch2: zgv2.7-glibc.patch
Patch3: zgv-3.0-security.patch
Patch4: zgv-3.0-yetagain.patch
Patch5: zgv-5.1-noroot.patch
Prefix: %{_prefix}
BuildPrereq: svgalib, svgalib-devel
BuildRoot: %{_tmppath}/%{name}-root

%description
Zgv is a graphics file viewer for VGA and SVGA displays. Zgv displays
most popular image formats, and is based on the SVGAlib low-level
graphics library. Zgv provides a file selector for browsing files, and
provides features like panning, fit-to-screen, scaling and support for
slideshows.

%prep
%setup -q
#%patch -p1 -b .config
#%patch2 -p1 -b .glibc
#%patch3 -p1 -b .security
#%patch4 -p1 -b .yetagain
%patch5 -p1 -b .noroot

%build
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir} \
	 $RPM_BUILD_ROOT%{_mandir}/man1 \
	 $RPM_BUILD_ROOT%{_infodir}

make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING ChangeLog NEWS README README.fonts TODO
%attr(755, root, root) %{_bindir}/zgv
%{_mandir}/*/*

%changelog
* Thu Aug 03 2000 Than Ngo <than@redhat.de>
- rebuilt against libpng-1.0.8

* Wed Aug 2 2000 Tim Powers <timp@redhat.com>
- fix bug #15077

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Thu Jul 13 2000 Than Ngo <than@redhat.de>
- rebuilt

* Tue Jun 13 2000 Than Ngo <than@redhat.de>
- update to 5.1 for 7.0
- clean up specfile
- add Url

* Thu Dec 2 1999 Tim Powers <timp@redhat.com>
- updated to 5.0
- gzip man page

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Mon Mar 29 1999 Bill Nottingham <notting@redhat.com>
- security fixes from Chris Evans

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Mon Dec 21 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Apr 20 1998 Erik Troan <ewt@redhat.com>
- updated to version 3.0

* Tue Oct 21 1997 Michael Fulbright <msf@redhat.com>
- updated spec file and upgraded to version 2.8

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>
- build against new libpng

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
